"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  forceInlineModule: () => forceInlineModule
});
module.exports = __toCommonJS(src_exports);
var import_uuid = require("uuid");
async function getJsSafeUUID() {
  const randomUUID = import_uuid.v4;
  const busterId = `r${randomUUID()}`;
  const safeUUID = busterId.substring(0, 9);
  return safeUUID;
}
function forceInlineModule({ inlineModules = [] }) {
  const codeBuffer = /* @__PURE__ */ new Map();
  return {
    name: "transform-code",
    enforce: "pre",
    resolveId: {
      async handler(source, importer, options) {
        if (inlineModules.some((item) => source.includes(item))) {
          const resolution = await this.resolve(source, importer, {
            skipSelf: true,
            ...options
          });
          if (!resolution)
            return;
          const code = await this.load({ id: resolution.id });
          codeBuffer.set(source, code);
          const buster = await getJsSafeUUID();
          return { id: `\0${source}-cache?${buster}` };
        }
      }
    },
    load: {
      async handler(id) {
        if (id.startsWith("\0") && id.includes("-cache?")) {
          const [originalmodule, buster] = id.split("-cache?");
          const cb = codeBuffer.get(originalmodule.substring(1));
          const code = cb.code += `
 export const ${buster} = 1;`;
          return { code, map: { mappings: "" } };
        }
      }
    }
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  forceInlineModule
});
